phpCAS version 1.3.6

Functions | Variables
Internationalization
User interface » Configuration

## Functions
static | phpCAS::setLang ($lang)

## Variables
const | PHPCAS_LANG_ENGLISH 'CAS_Languages_English'
const | PHPCAS_LANG_FRENCH 'CAS_Languages_French'
const | PHPCAS_LANG_GREEK 'CAS_Languages_Greek'
const | PHPCAS_LANG_GERMAN 'CAS_Languages_German'
const | PHPCAS_LANG_JAPANESE 'CAS_Languages_Japanese'
const | PHPCAS_LANG_SPANISH 'CAS_Languages_Spanish'
const | PHPCAS_LANG_CATALAN 'CAS_Languages_Catalan'
const | PHPCAS_LANG_CHINESE_SIMPLIFIED 'CAS_Languages_ChineseSimplified'

## Detailed Description

## Function Documentation

## ◆ setLang()

static phpCAS::setLang | ( |  | $lang | ) |
| static

This method is used to set the language used by phpCAS.

Parameters

  string | $lang | string representing the language.

Returns
  void

See also
  PHPCAS_LANG_FRENCH, PHPCAS_LANG_ENGLISH

Note
  Can be called only once.

Examples:
  example_lang.php.

Definition at line 689 of file CAS.php.

References phpCAS\_validateClientExists(), and phpCAS\error().

## Variable Documentation

## ◆ PHPCAS_LANG_CATALAN

const PHPCAS_LANG_CATALAN 'CAS_Languages_Catalan'

Definition at line 221 of file CAS.php.

## ◆ PHPCAS_LANG_CHINESE_SIMPLIFIED

const PHPCAS_LANG_CHINESE_SIMPLIFIED 'CAS_Languages_ChineseSimplified'

Definition at line 222 of file CAS.php.

## ◆ PHPCAS_LANG_ENGLISH

const PHPCAS_LANG_ENGLISH 'CAS_Languages_English'

Definition at line 215 of file CAS.php.

## ◆ PHPCAS_LANG_FRENCH

const PHPCAS_LANG_FRENCH 'CAS_Languages_French'

Examples:
  example_lang.php.

Definition at line 216 of file CAS.php.

## ◆ PHPCAS_LANG_GERMAN

const PHPCAS_LANG_GERMAN 'CAS_Languages_German'

Definition at line 218 of file CAS.php.

## ◆ PHPCAS_LANG_GREEK

const PHPCAS_LANG_GREEK 'CAS_Languages_Greek'

Definition at line 217 of file CAS.php.

## ◆ PHPCAS_LANG_JAPANESE

const PHPCAS_LANG_JAPANESE 'CAS_Languages_Japanese'

Definition at line 219 of file CAS.php.

## ◆ PHPCAS_LANG_SPANISH

const PHPCAS_LANG_SPANISH 'CAS_Languages_Spanish'

Definition at line 220 of file CAS.php.